Groovy 1.7.10

## groovy.swing.factory
[Groovy] Class RootPaneContainerFactory

    java.lang.Object
      groovy.util.AbstractFactory
          groovy.swing.factory.RootPaneContainerFactory

    abstract class RootPaneContainerFactory
    extends AbstractFactory

Field Summary
`static String` | `DEFAULT_DELEGATE_PROPERTY_DEFAULT_BUTTON`
`static String` | `DELEGATE_PROPERTY_DEFAULT_BUTTON`

Method Summary
`void` | `handleRootPaneTasks(FactoryBuilderSupport builder, Window container, Map attributes)`
`void` | `onNodeCompleted(FactoryBuilderSupport builder, Object parent, Object node)`
`void` | `setChild(FactoryBuilderSupport builder, Object parent, Object child)`

Methods inherited from class AbstractFactory
isHandlesNodeChildren, isLeaf, onFactoryRegistration, onHandleNodeAttributes, onNodeChildren, onNodeCompleted, setChild, setParent

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Field Detail

### DEFAULT_DELEGATE_PROPERTY_DEFAULT_BUTTON

    public static final String DEFAULT_DELEGATE_PROPERTY_DEFAULT_BUTTON

### DELEGATE_PROPERTY_DEFAULT_BUTTON

    public static final String DELEGATE_PROPERTY_DEFAULT_BUTTON

Method Detail

### handleRootPaneTasks

    void handleRootPaneTasks(FactoryBuilderSupport builder, Window container, Map attributes)

### onNodeCompleted

    void onNodeCompleted(FactoryBuilderSupport builder, Object parent, Object node)

### setChild

    void setChild(FactoryBuilderSupport builder, Object parent, Object child)

Copyright © 2003-2010 The Codehaus. All rights reserved.